Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.impl.endpoint
Class AnnotatedEndpointBuilder

    java.lang.Object
      org.mule.impl.endpoint.AnnotatedEndpointBuilder

    public class AnnotatedEndpointBuilder

extends Object

This is a wrapper builder that can process `AnnotatedEndpointData` objects (Annotaiton config data) and turn them into `EndpointBuilder` or `ImmutableEndpoint` objects.

THis is an internal class that should only be used the Annotaiton parser code.

Field Summary
`protected MuleContext` | `muleContext`
`protected TemplateParser` | `parser`
`protected RegistryMap` | `regMap`
`protected TransportFactory` | `transportFactory`

Constructor Summary
`AnnotatedEndpointBuilder(MuleContext muleContext)`

Method Summary
`Object` | `convertProperty(Class type, String property)`
`protected EndpointBuilder` | `getEndpointBuilder(AnnotatedEndpointData epData)`
`protected String` | `getPropertyValue(String key)`
`ImmutableEndpoint` | `processEndpoint(AnnotatedEndpointData epData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parser

    protected TemplateParser parser

### regMap

    protected RegistryMap regMap

### muleContext

    protected MuleContext muleContext

### transportFactory

    protected TransportFactory transportFactory

Constructor Detail

### AnnotatedEndpointBuilder

    public AnnotatedEndpointBuilder(MuleContext muleContext)
                             throws MuleException

Throws:
  `MuleException`

Method Detail

### getPropertyValue

    protected String getPropertyValue(String key)

### getEndpointBuilder

    protected EndpointBuilder getEndpointBuilder(AnnotatedEndpointData epData)
                                          throws MuleException

  Throws:
    `MuleException`

### processEndpoint

    public ImmutableEndpoint processEndpoint(AnnotatedEndpointData epData)
                                      throws MuleException

  Throws:
    `MuleException`

### convertProperty

    public Object convertProperty(Class type,
                                  String property)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.